Module tdlight.api
Package it.tdlight.jni

# Class TdApi.RichText

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.RichText

Direct Known Subclasses:
  `TdApi.RichTextAnchor`, `TdApi.RichTextAnchorLink`, `TdApi.RichTextBold`, `TdApi.RichTextEmailAddress`, `TdApi.RichTextFixed`, `TdApi.RichTextIcon`, `TdApi.RichTextItalic`, `TdApi.RichTextMarked`, `TdApi.RichTextPhoneNumber`, `TdApi.RichTextPlain`, `TdApi.RichTextReference`, `TdApi.RichTexts`, `TdApi.RichTextStrikethrough`, `TdApi.RichTextSubscript`, `TdApi.RichTextSuperscript`, `TdApi.RichTextUnderline`, `TdApi.RichTextUrl`

Enclosing class:
  TdApi

public abstract static sealed class TdApi.RichText extends TdApi.Object permits TdApi.RichTextPlain, TdApi.RichTextBold, TdApi.RichTextItalic, TdApi.RichTextUnderline, TdApi.RichTextStrikethrough, TdApi.RichTextFixed, TdApi.RichTextUrl, TdApi.RichTextEmailAddress, TdApi.RichTextSubscript, TdApi.RichTextSuperscript, TdApi.RichTextMarked, TdApi.RichTextPhoneNumber, TdApi.RichTextIcon, TdApi.RichTextReference, TdApi.RichTextAnchor, TdApi.RichTextAnchorLink, TdApi.RichTexts
This class is an abstract base class. Describes a text object inside an instant-view web page.

## Constructor Summary

Constructors
Constructor
Description
`RichText()`
Default class constructor.

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### RichText

public RichText()
Default class constructor.